Will updated apps work flawlessly with iOS 5?

Discussion in 'iOS 6' started by Jusfer, Nov 23, 2012.

  1. Jusfer, Nov 23, 2012
    Last edited: Nov 28, 2012

    Jusfer macrumors member

    Joined:
    Jul 16, 2010
    Location:
    USA Intermountain West
    #1
    Update: the following is obsolete as I have now installed iOS 6.

    I am holding on to iOS 5 (map issue, "old" hardware with i4).

    Right now, 45 of my apps are offering updates to iOS 6 but I have not updated on my phone because I am afraid that some may not work well anymore.

    Should I be concerned, or not?

    FTR, because of iOS upgrades I lost a $12 app (iDB Pro) that did not follow the iOS upgrade of the time. I want to avoid similar issues.
     
  2. HazyCloud macrumors 68030

    HazyCloud

    Joined:
    Jun 30, 2010
    #2
    You'll need to check the update notes for each app. It's possible the updated app(s) require iOS 6.
     
  3. irDigital0l Guest

    Joined:
    Dec 7, 2010
    #3
    Wait what's the map issue with an iPhone 4?

    Also, if the app requires iOS 6, then you need iOS 6 or it wont work. This is different from iOS 6/iPhone 5 support which just makes the app ready for iOS 6/iPhone 5. I know Cut the Rope and Shazam (later) require iOS 6.
     
  4. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #4
    If an app will not work any longer on iOS5 it will not allow you to update it to the newest version.
     
  5. Jusfer thread starter macrumors member

    Joined:
    Jul 16, 2010
    Location:
    USA Intermountain West
    #5
    Thank you all for your responses. Very helpful! I will read all the update notes before proceeding.

    My point is that there is no map issue with iPhone 4.

    That's music to my ears!
     
  6. lunaoso macrumors 65816

    lunaoso

    Joined:
    Sep 22, 2012
    Location:
    Boston, MA
    #6
    Yup I can confirm Cut the Rope and Cut the Rope: Experiments both require iOS 6. Stinks for my iPad 1. Hate having them just sit in the updates section.

    And btw OP- on my iPad with iOS 5, the update will have a greyed out "update" button if iOS 6 is required. So it won't let you update.
     
  7. Jusfer thread starter macrumors member

    Joined:
    Jul 16, 2010
    Location:
    USA Intermountain West
    #7
    My update counter is now back to zero. All apps are updating or waiting, none said they require iOS 6 or iPhone 5. So I'm good.

    Thanks again!
     
  8. virginblue4 macrumors 68000

    virginblue4

    Joined:
    Apr 15, 2012
    Location:
    United Kingdom
    #8

    Just checked all 3 of those apps and Cut the Rope & Cut the Rope: Experiments both require iOS 4.3 and Shazam requires iOS 5 or later. Neither require iOS 6?

    Here's a screenshot showing Cut the Rope.
     

    Attached Files:

  9. Jusfer, Nov 24, 2012
    Last edited: Nov 24, 2012

    Jusfer thread starter macrumors member

    Joined:
    Jul 16, 2010
    Location:
    USA Intermountain West
    #9
    Shazam says somewhere that a future update will require iOS 6 and to make sure to update to the current [last] version if not on iOS 6.

    I don't cut ropes, so that is not of concern.

    The latest iMovie update does require 6.
     
  10. cnguyen0320 macrumors regular

    Joined:
    Aug 14, 2012
    #10
    If the app requires iOS 6, it will not allow your phone to update it. So you are safe (if I am understanding your question right). So feel free to click update all ;)
     
  11. irDigital0l Guest

    Joined:
    Dec 7, 2010
    #11
    Click more... in What's New in Version 5.1.1

    Important note:
    This release, Shazam 5.1 supports iOS 5.0 and upwards, but now iOS 6 is here, and we think it's amazing, so much so that the next version of Shazam (v6.0), will require iOS 6, so why not update now. It's free and easy to update wirelessly on your phone or iPod Touch: simply open the Settings app, go to "General" and then "Software Update".

    https://itunes.apple.com/us/app/shazam/id284993459?mt=8
     
  12. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #12
    Thanks for the heads up. Will stay away from that for my devices still on 5.1.1
     
  13. Jusfer thread starter macrumors member

    Joined:
    Jul 16, 2010
    Location:
    USA Intermountain West
    #13
    Caved in

    I caved in and updated to iOS 6 today.
     

Share This Page